﻿' ----------------------------------------------------------------------------------- '
' RIOT Server - AAC Project Part I
'
' 
' ----------------------------------------------------------------------------------- '


Public Class Form1

    ' ------------------------------------------- '
    ' Important Variables!                        '
    ' ------------------------------------------- '
    Dim IoTServer As Server
    Dim numberOfClients As Integer
    Dim lightLevel As Integer
    Const clientID As Integer = 0


    ' ------------------------------------------- '
    ' Start the server when the button is pressed '
    ' ------------------------------------------- '
    Private Sub serverStartButton_Click(sender As Object, e As EventArgs) Handles serverStartButton.Click

        ' Start the RIOT server '
        IoTServer = New Server
        IoTServer.startServer()
        serverTick.Start()

        ' Clear the graph '
        dataLog.Series.Clear()

        ' Create a series of data for recording logged light '
        dataLog.Series.Add("loggedLight")

        ' dataLog.Series("loggedLight").ChartType = DataVisualization.Charting.SeriesChartType.Bar
        ' dataLog.Series("loggedLight").ChartType = DataVisualization.Charting.SeriesChartType.Line



    End Sub


    ' -------------------------------------------- '
    ' Upon a tick, check the server for infomation '
    ' -------------------------------------------- '
    Private Sub serverTick_Tick(sender As Object, e As EventArgs) Handles serverTick.Tick

        numberOfClients = 0

        Try
            For currentClient As Integer = 0 To Server.MAX_CONNECTION

                If IoTServer.isClientConnected(currentClient) = True Then
                    numberOfClients += 1
                End If

                If IoTServer.clientDataAvailable(currentClient) Then

                    ' Get the data that has just arrived '
                    lightLevel = IoTServer.clientBuffers(currentClient, 0)

                    ' Clear the data received flag! '
                    IoTServer.clientDataAvailable(currentClient) = False

                    ' Plot the data! '
                    dataLog.Series("loggedLight").Points.Add(lightLevel)

                End If

            Next
        Catch ex As Exception

        End Try

        numberOfConnections.Text = numberOfClients

    End Sub


End Class
